package com.neusoft.smart.pos.order.persistent.mapper;

import com.neusoft.smart.pos.order.persistent.domain.OrderDelivery;
import com.neusoft.smart.pos.order.persistent.domain.OrderDeliveryExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrderDeliveryMapper {
    int countByExample(OrderDeliveryExample example);

    int deleteByExample(OrderDeliveryExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(OrderDelivery record);

    int insertSelective(OrderDelivery record);

    List<OrderDelivery> selectByExample(OrderDeliveryExample example);

    OrderDelivery selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") OrderDelivery record, @Param("example") OrderDeliveryExample example);

    int updateByExample(@Param("record") OrderDelivery record, @Param("example") OrderDeliveryExample example);

    int updateByPrimaryKeySelective(OrderDelivery record);

    int updateByPrimaryKey(OrderDelivery record);

    void batchInsert(@Param("items") List<OrderDelivery> items);
}